import type { OperationMiddlewareHandler } from 'executable-openapi-middleware';
import { Format } from 'ajv/dist/2020';
import { ResponsesObject } from 'openapi3-ts';
import { OperationExecutionResponse } from 'executable-openapi-types';
import { InvalidParameterError } from 'executable-openapi-parameters';
declare type RefResolver = ($ref: string) => Promise<unknown>;
export declare type ExecutableOpenAPIMiddlewarePathParametersFormat = Format;
export interface ExecutableOpenAPIMiddlewarePathParametersOption {
    /**
     * A JSON reference resolver that'll be used to resolve
     * JSON references found in `document`.
     *
     * If not provided, `createRouter` will use a simple resolver
     * that only resolves local JSON pointer.
     */
    documentRefResolver?: RefResolver;
    formatErrorResponse?: (error: InvalidParameterError, responseObject: ResponsesObject) => OperationExecutionResponse | Promise<OperationExecutionResponse>;
    /**
     * An object with format definitions.
     */
    formats?: {
        [Name in string]?: ExecutableOpenAPIMiddlewarePathParametersFormat;
    };
}
export declare const executableOpenAPIMiddlewarePathParameters: <TExecutionContext>({ documentRefResolver, formatErrorResponse, formats }?: ExecutableOpenAPIMiddlewarePathParametersOption) => OperationMiddlewareHandler<TExecutionContext>;
export {};
